Bug 1096775 (CVE-2014-3144, CVE-2014-3145) - CVE-2014-3144 CVE-2014-3145 Kernel: filter: prevent nla extensions to peek beyond the end of the message
Summary: CVE-2014-3144 CVE-2014-3145 Kernel: filter: prevent nla extensions to peek be...
Status: CLOSED ERRATA
Alias: CVE-2014-3144, CVE-2014-3145
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140413,repor...
Keywords: Security
Depends On: 1096778 1096779 1096780 1096781 1096783 1096784
Blocks: 1087452
TreeView+ depends on / blocked
 
Reported: 2014-05-12 12:16 UTC by Prasad J Pandit
Modified: 2015-02-16 15:52 UTC (History)
32 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-29 16:34:20 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0786 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-06-24 19:58:32 UTC
Red Hat Product Errata RHSA-2014:0913 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 22:00:11 UTC
Red Hat Product Errata RHSA-2014:0981 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-07-29 19:51:12 UTC

Description Prasad J Pandit 2014-05-12 12:16:18 UTC
Linux kernel built with the BPF interpreter support in the networking core is
vulnerable to an out of bounds buffer access flaw. It occurs when accessing a
netlink attribute from the skb->data buffer. It could lead to DoS via kernel
crash or leakage of kernel memory bytes to user space.

An unprivileged user/program could use this flaw to crash the system kernel
resulting in DoS or leak kernel memory bytes to user space.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/05ab8f2647e4221cbdb3856dd7d32bd5407316b3

Introduced by:
--------------
  -> https://git.kernel.org/linus/4738c1db1593687713869fa69e733eebc7b0d6d8
  -> https://git.kernel.org/linus/d214c7537bbf2f247991fb65b3420b0b3d712c67

Reference:
----------
  -> http://seclists.org/oss-sec/2014/q2/282

Comment 1 Prasad J Pandit 2014-05-12 12:20:12 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Prasad J Pandit 2014-05-12 12:23:18 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1096784]

Comment 6 Fedora Update System 2014-05-16 10:04:18 UTC
kernel-3.14.4-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-21 23:22:06 UTC
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-06-24 15:59:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html

Comment 10 errata-xmlrpc 2014-07-22 18:01:14 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Comment 11 errata-xmlrpc 2014-07-29 15:53:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0981 https://rhn.redhat.com/errata/RHSA-2014-0981.html


Note You need to log in before you can comment on or make changes to this bug.